summaryrefslogtreecommitdiffstats
path: root/source/l/system-config-printer
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-04-17 04:03:54 +0000
committer Eric Hameleers <alien@slackware.com>2020-04-17 17:59:56 +0200
commit3021bc8054ca3531d5e7f2d0692b99cd16167930 (patch)
tree6ad2ae5021fc6c643490b43c070d425511347a3e /source/l/system-config-printer
parent56d77dd7f41b963d5026c618cd7668e277de5b12 (diff)
downloadcurrent-3021bc8054ca3531d5e7f2d0692b99cd16167930.tar.gz
current-3021bc8054ca3531d5e7f2d0692b99cd16167930.tar.xz
Fri Apr 17 04:03:54 UTC 202020200417040354
ap/rpm-4.15.1-x86_64-3.txz: Rebuilt. Dropped python2 modules. l/libcaca-0.99.beta19-x86_64-6.txz: Rebuilt. Dropped python2 modules. l/libuv-1.36.0-x86_64-1.txz: Upgraded. l/libwebp-1.1.0-x86_64-2.txz: Rebuilt. Dropped python2 modules. l/python-distro-1.4.0-x86_64-2.txz: Rebuilt. Dropped python2 modules. l/python-docutils-0.16-x86_64-2.txz: Rebuilt. Replace /usr/bin scripts with python3 versions. l/system-config-printer-1.5.12-x86_64-3.txz: Rebuilt. Dropped python2 modules. n/openvpn-2.4.9-x86_64-1.txz: Upgraded. This update fixes a security issue: Fix illegal client float. Thanks to Lev Stipakov. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-11810 (* Security fix *) extra/xf86-video-nouveau-blacklist/xf86-video-nouveau-blacklist-1.0-noarch-1.txz: Added. If it is easier for people using slackpkg to leave xf86-video-nouveau installed and change the name of this package from xf86-video-nouveau to xf86-video-nouveau-blacklist with a $VERSION of 1.0, then so be it. extra/xf86-video-nouveau-blacklist/xf86-video-nouveau-blacklist-noarch-1.txz: Removed.
Diffstat (limited to 'source/l/system-config-printer')
-rwxr-xr-xsource/l/system-config-printer/system-config-printer.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/l/system-config-printer/system-config-printer.SlackBuild b/source/l/system-config-printer/system-config-printer.SlackBuild
index 795febb1f..4153529ce 100755
--- a/source/l/system-config-printer/system-config-printer.SlackBuild
+++ b/source/l/system-config-printer/system-config-printer.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=system-config-printer
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -95,6 +95,7 @@ find . \
LDFLAGS="$SLKLDFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -111,8 +112,12 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# python2 dropped dropped as obsolete.
# install python2 cupshelpers
-python setup.py install --root=$PKG || exit 1
+#python setup.py install --root=$PKG || exit 1
+
+# install python3 cupshelpers
+python3 setup.py install --root=$PKG || exit 1
# Generate .pyc files
python3 -m compileall "${PKG}/usr/share/system-config-printer"